/*
======================================================================
=----------------------------TITLE-----------------------------------=
======================================================================
*/

section#title {
}

section#title h1 {
    margin-top: 25px;
}

section#sponsors {
    justify-items: center;
    place-content: center;
    left: 0;

}

section#sponsors div.sponsors-wrapper {
    display: flex;
    float: left;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    gap: 50px;
    margin-top: 10px;
}

section#sponsors div.sponsors-wrapper a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 25px;
    box-shadow: 4px 4px 10px #808080FF;
    aspect-ratio: 1/1;
    padding: 50px;
    width: 18%;
    transition: all 0.25s ease;
    overflow: hidden; /* chrání layout */
}

section#sponsors div.sponsors-wrapper a img {
    max-width: 100%;
    max-height: 100%;
    height: auto;
    width: auto;
    object-fit: contain; /* zachová poměr stran */
    display: block; /* odstraní případné mezery */
}

/* Pokud máš picture tag */
section#sponsors div.sponsors-wrapper a picture {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}



section#sponsors div.sponsors-wrapper a:hover {
    /*transform: scale(0.95);*/
    transform: translateY(-10px);
    box-shadow: 4px 4px 10px #707070FF;
}


@media screen and (max-width: 960px) {
    section#sponsors div.sponsors-wrapper a {
        padding: 50px;
        width: 50%;
    }
}